Module java.desktop
Package javax.swing.plaf.metal

## Class MetalBorders.RolloverButtonBorder

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.plaf.metal.MetalBorders.ButtonBorder
    - - javax.swing.plaf.metal.MetalBorders.RolloverButtonBorder

All Implemented Interfaces:
  `Serializable`, `Border`, `UIResource`

Enclosing class:
  MetalBorders

    public static class MetalBorders.RolloverButtonBorder
    extends MetalBorders.ButtonBorder

The class represents the border of a rollover `Button`.

See Also:
  Serialized Form

### Field Summary

### Fields declared in class javax.swing.plaf.metal.MetalBorders.ButtonBorder

`borderInsets`

### Constructor Summary

Constructors
`RolloverButtonBorder()`

### Method Summary

### Methods declared in class javax.swing.border.AbstractBorder

`getBaseline, getBaselineResizeBehavior, getBorderInsets, getBorderInsets, getInteriorRectangle, getInteriorRectangle, isBorderOpaque, paintBorder`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RolloverButtonBorder

    public RolloverButtonBorder()